aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Tartavel <contact@librepc.com>2018-08-03 23:30:15 +0200
committerDaniel Tartavel <contact@librepc.com>2018-08-03 23:30:15 +0200
commit154773db721669b5c4d85f0437e3bb1da2392b4d (patch)
tree843d0a4507c11217645f3963c8232f1358f896cc
parent27534ed173c612560ce7a2addcc7a6eca3b18402 (diff)
downloadmageia4arm-154773db721669b5c4d85f0437e3bb1da2392b4d.tar
mageia4arm-154773db721669b5c4d85f0437e3bb1da2392b4d.tar.gz
mageia4arm-154773db721669b5c4d85f0437e3bb1da2392b4d.tar.bz2
mageia4arm-154773db721669b5c4d85f0437e3bb1da2392b4d.tar.xz
mageia4arm-154773db721669b5c4d85f0437e3bb1da2392b4d.zip
- added kernel xu4
-rwxr-xr-xcreate_arm_img_urpmi.sh30
-rw-r--r--rpi/config.txt6
-rw-r--r--tools/install_video_driver.sh~26
-rw-r--r--tools/install_xfce.sh~23
-rw-r--r--xu4/kernel-odroid-4.14.y-1.armv7hl.rpmbin0 -> 17046774 bytes
5 files changed, 23 insertions, 62 deletions
diff --git a/create_arm_img_urpmi.sh b/create_arm_img_urpmi.sh
index 263a9a7..2ed00c6 100755
--- a/create_arm_img_urpmi.sh
+++ b/create_arm_img_urpmi.sh
@@ -263,15 +263,7 @@ function jumpchroot()
error "line $LINENO error copying $SOURCE_PATH/$CONFIG_PATH/second_stage_install.sh : exiting"
exit 1
fi
-
-# info "copying kernel-odroid rpm in $BUILD_PATH"
-# echo "/bin/cp $SOURCE_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/"
-# /usr/bin/cp "$SOURCE_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/"
-# if [ $? -ne 0 ];then
-# error "line $LINENO error copying $SOURCE_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
-# exit 1
-# fi
-
+
info "creation of user account"
echo "/bin/passwd << EOF
$ROOT_PWD
@@ -287,7 +279,25 @@ EOF" >>"$BUILD_PATH/second_stage_install.sh"
info "Copying skel in root directory"
/bin/rsync -a /etc/skel/ "$BUILD_PATH/root/"
-
+
+ #configuration for target
+
+ case $TARGET in
+ xu3-4)
+ #TEMPORARY CODE
+ #copying kernel not existing in mageia
+ info "copying kernel-odroid rpm in $BUILD_PATH"
+ echo "/bin/cp $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/"
+ /usr/bin/cp "$SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/"
+ if [ $? -ne 0 ];then
+ error "line $LINENO error copying $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
+ exit 1
+ fi
+ ;;
+ rpi)
+ ;;
+ esac
+
title "chrooting to $BUILD_PATH"
/sbin/chroot --userspec root:root "$BUILD_PATH" /bin/bash -v -c 'sh /second_stage_install.sh'
RET=$?
diff --git a/rpi/config.txt b/rpi/config.txt
index 2c7a925..235246c 100644
--- a/rpi/config.txt
+++ b/rpi/config.txt
@@ -51,7 +51,7 @@
## 2 14:9
## 3 16:9
##
-#sdtv_aspect=3
+sdtv_aspect=3
## sdtv_disable_colourburst
## Disables colour burst on composite output. The picture will be
@@ -519,7 +519,7 @@
##
## Default 64
##
-gpu_mem=256
+gpu_mem=128
## gpu_mem_256
## GPU memory allocation in MB for 256MB board revision.
@@ -755,7 +755,7 @@ gpu_mem=256
##
## Default 700.
##
-#arm_freq=900
+arm_freq=900
## arm_freq_min
## Minimum frequency of ARM in MHz (used for dynamic clocking).
diff --git a/tools/install_video_driver.sh~ b/tools/install_video_driver.sh~
deleted file mode 100644
index 53691f6..0000000
--- a/tools/install_video_driver.sh~
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# Copyright (C) 2017-2018 Daniel Tartavel-jeannot <contact@librepc.com>
-#
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-
-/usr/sbin/urpmi --auto --no-verify-rpm x11-driver-video-fbdev
-
-echo "#!/bin/sh
-
-# patch for display manager service which do not start automatically
-systemctl start display-manager.service &" >/etc/rc.d/rc.local
-chmod a+x /etc/rc.d/rc;local
diff --git a/tools/install_xfce.sh~ b/tools/install_xfce.sh~
deleted file mode 100644
index 067be37..0000000
--- a/tools/install_xfce.sh~
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/bash
-
-# Copyright (C) 2017-2018 Daniel Tartavel-jeannot <contact@librepc.com>
-#
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-PATH="$(/bin/dirname $(readlink -f "$0"))"
-echo "Path="$PATH
-#. $PATH/install_video_driver.sh
-#. $PATH/install_gstreamer.sh
-#usr/sbin/urpmi --auto --no-verify-rpm task-xfce
diff --git a/xu4/kernel-odroid-4.14.y-1.armv7hl.rpm b/xu4/kernel-odroid-4.14.y-1.armv7hl.rpm
new file mode 100644
index 0000000..b5bda9f
--- /dev/null
+++ b/xu4/kernel-odroid-4.14.y-1.armv7hl.rpm
Binary files differ